.navbar-brand .navbar-item + .navbar-item {
  flex-grow: 1;
  justify-content: flex-end;
}

@media screen and (min-width: 1024px) {
  .navbar-brand {
    flex-grow: 1;
  }

  .navbar-menu {
    flex-grow: 0;
  }
}

.search-result-dropdown-menu {
  position: absolute;
  z-index: 100;
  display: block;
  right: 0;
  left: inherit;
  top: 100%;
  border-radius: 3px 0 3px 3px;
  margin: 1px 0 0;
  padding: 0;
  text-align: left;
  height: auto;
  background: transparent;
  border: none;
  max-width: 600px;
  min-width: 500px;
}

@media screen and (max-width: 768px) {
  .navbar-brand .navbar-item + .navbar-item {
    padding-left: 0;
    padding-right: 0;
  }

  .search-result-dropdown-menu {
    min-width: calc(100vw - 85px);
  }
}

.search-result-dataset {
  position: relative;
  border: 1px solid #d9d9d9;
  background: #fff;
  border-radius: 3px 0 3px 3px;
  overflow: auto;
  padding: 0 8px;
  max-height: calc(100vh - 8rem);
  color: #333;
  overflow-x: hidden;
}

.search-result-highlight {
  color: #174d8c;
  background: rgba(143, 187, 237, 0.1);
  padding: 0.1em 0.05em;
}

.search-result-item {
  display: flex;
  font-size: 1rem;
  margin-bottom: 0.5rem;
  margin-top: 0.5rem;
}

.search-result-item .no-document-hit {
  font-size: 0.8rem;
  margin: 5px 0;
  color: inherit;
}

.search-result-document-title {
  width: 33%;
  color: #a4a7ae;
  font-size: 0.8rem;
  padding: 0.25rem 0.5rem 0.25rem 0;
  text-align: right;
  position: relative;
  word-wrap: break-word;
  display: table;
}

.search-result-document-title span {
  vertical-align: middle;
  display: table-cell;
}

.search-result-document-hit {
  flex: 1;
  font-size: 0.75em;
  color: var(--body-font-color);
  border-left: 1px solid #ddd;
  max-width: 320px;
}

.search-result-document-hit > a {
  color: inherit;
  text-decoration: none;
  border-radius: var(--admonitions-border-radius);
  display: table;
  padding: 0.25rem 0 0.25rem 0.5rem;
  font-size: 0.8rem;
  height: 100%;
  width: 100%;
}

.search-result-document-hit:hover {
  background-color: rgba(69, 142, 225, 0.05);
}

div.search-input {
  margin-right: 5px;
  position: relative;
  border-radius: var(--admonitions-border-radius);
}

div.search-input input {
  font-family: inherit;
  font-size: calc(15 / var(--rem-base) * 1rem);
  width: 50px;
  line-height: 1.5;
  border-radius: var(--admonitions-border-radius);
  height: 30px;
  text-align: right;
  padding: 0 30px 0 5px;
  background-color: transparent;
  transition: width 200ms ease;
  border: none;
  color: transparent;
  outline: none;
}

div.search-input input:focus,
div.search-input input:active {
  width: 100px;
  color: inherit;
  background-color: var(--body-background);
  border-radius: 3px 3px 0 3px;
  border: 2px solid #b2ceff;
}

@media screen and (min-width: 768px) {
  div.search-input input:focus,
  div.search-input input:active {
    width: 200px;
    color: inherit;
    background-color: var(--body-background);
  }
}

div.search-input button.icon-search-input {
  background: none;
  border: none;
  padding: 0;
  position: absolute;
  top: 50%;
  right: 6px;
  transform: translateY(-50%);
  pointer-events: none;
}

img.tool {
  height: 20px;
}
